<div class='app-row' nz-row [nzGutter]='[30, 0]'>
  <label class='input__label'>Property</label>
  <nz-upload class='upload' nz-col nzXs='24' nzLg='24'
             nzType='drag'
             [nzMultiple]='false' [(nzFileList)]='fileList' [nzBeforeUpload]='beforeUpload'
             [nzRemove]='doRemoveFile'>
    <div *ngIf='!fileImportName'>
      <p class='ant-upload-drag-icon'>
        <img alt='' src='assets/icon/staff-manager/import.svg'>
      </p>
      <p class='ant-upload-text'>
        {{'common.upload.description'|translate}}
      </p>
      <p class='ant-upload-hint'>
        {{'common.upload.supportJson'|translate}}
      </p>
    </div>
    <div *ngIf='fileImportName' class='nz__upload--content'>
      <p class='ant-upload-drag-icon'>
        <img style='width: 30px; margin-bottom: -10px' alt='' src='/assets/icon/staff-manager/import.svg' />
      </p>
      <p class='ant-upload-text'>{{fileImportName}}</p>
      <p class='ant-upload-hint'>
        {{fileImportSize}}
      </p>
    </div>
  </nz-upload>
  <div nz-col nzXs='22' nzLg='23'>
    <mb-input-text [(ngModel)]='documentJson' [mbIsTextAreInputSpecial]='true' [mbConfig]='{ rows: 2, autoSize: true }'
                   mbPlaceholderText='Document json'
                   mbLabelText='Document json'></mb-input-text>
  </div>
  <div nz-col nzXs='2' nzLg='1' class='icon-format'>
    <mb-button mbButtonType='ONLY_ICON' mbButtonIconType='ZORRO' mbPrefixIcon='node-expand'
               (click)='format()' nzTooltipTitle="{{'common.button.formatJson' | translate}}"
               nzTooltipPlacement='bottomLeft' nz-tooltip></mb-button>
  </div>
</div>
<div *nzModalFooter class='footer'>
  <mb-button mbButtonType='BORDER' mbButtonSize='LARGE' (click)='cancel()' mbButtonBgColor='transparent'
             mbButtonAvailableStyle='DEFAULT' mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType='NO_BORDER' mbType='SUBMIT' mbButtonSize='LARGE' (click)='save()'
             mbButtonAvailableStyle='PRIMARY' mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</div>
